package ink.wgink.module.examine.pojo.vos.paper;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ExaminationPaperVO
 * @Description: 试卷
 * @Author: WenG
 * @Date: 2020-09-11 11:50
 * @Version: 1.0
 **/
@ApiModel
public class PaperVO {

    @ApiModelProperty(name = "name", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String paperName;
    @ApiModelProperty(name = "type", value = "类型")
    @CheckEmptyAnnotation(name = "类型", types = {"test", "simulation", "examination"})
    private String paperType;
    @ApiModelProperty(name = "passScore", value = "及格分数")
    @CheckNumberAnnotation(name = "及格分数", min = 0)
    private Double passScore;
    @ApiModelProperty(name = "totalScore", value = "总分")
    @CheckNumberAnnotation(name = "总分", min = 0)
    private Double totalScore;
    @ApiModelProperty(name = "choiceSingleCount", value = "单选数量")
    @CheckNumberAnnotation(name = "单选数量", min = 0)
    private Integer choiceSingleCount;
    @ApiModelProperty(name = "choiceSingleEachScore", value = "单选每题得分")
    @CheckNumberAnnotation(name = "单选每题得分", min = 0)
    private Double choiceSingleEachScore;
    @ApiModelProperty(name = "choiceMultipleCount", value = "多选数量")
    @CheckNumberAnnotation(name = "多选数量", min = 0)
    private Integer choiceMultipleCount;
    @ApiModelProperty(name = "choiceMultipleEachScore", value = "多选每题得分")
    @CheckNumberAnnotation(name = "多选每题得分", min = 0)
    private Double choiceMultipleEachScore;
    @ApiModelProperty(name = "tureOrFalseCount", value = "判断数量")
    @CheckNumberAnnotation(name = "判断数量", min = 0)
    private Integer tureOrFalseCount;
    @ApiModelProperty(name = "tureOrFalseEachScore", value = "判断每题得分")
    @CheckNumberAnnotation(name = "判断每题得分", min = 0)
    private Double tureOrFalseEachScore;
    @ApiModelProperty(name = "fillInTheBlanksCount", value = "填空数量")
    @CheckNumberAnnotation(name = "填空数量", min = 0)
    private Integer fillInTheBlanksCount;
    @ApiModelProperty(name = "fillInTheBlanksEachScore", value = "填空每题得分")
    @CheckNumberAnnotation(name = "填空每题得分", min = 0)
    private Double fillInTheBlanksEachScore;
    @ApiModelProperty(name = "answerCount", value = "解答数量")
    @CheckNumberAnnotation(name = "解答数量", min = 0)
    private Integer answerCount;
    @ApiModelProperty(name = "answerEachScore", value = "解答每题得分")
    @CheckNumberAnnotation(name = "解答每题得分", min = 0)
    private Double answerEachScore;

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Double getPassScore() {
        return passScore == null ? 0D : passScore;
    }

    public void setPassScore(Double passScore) {
        this.passScore = passScore;
    }

    public Double getTotalScore() {
        return totalScore == null ? 0D : totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getChoiceSingleCount() {
        return choiceSingleCount == null ? 0 : choiceSingleCount;
    }

    public void setChoiceSingleCount(Integer choiceSingleCount) {
        this.choiceSingleCount = choiceSingleCount;
    }

    public Double getChoiceSingleEachScore() {
        return choiceSingleEachScore == null ? 0D : choiceSingleEachScore;
    }

    public void setChoiceSingleEachScore(Double choiceSingleEachScore) {
        this.choiceSingleEachScore = choiceSingleEachScore;
    }

    public Integer getChoiceMultipleCount() {
        return choiceMultipleCount == null ? 0 : choiceMultipleCount;
    }

    public void setChoiceMultipleCount(Integer choiceMultipleCount) {
        this.choiceMultipleCount = choiceMultipleCount;
    }

    public Double getChoiceMultipleEachScore() {
        return choiceMultipleEachScore == null ? 0D : choiceMultipleEachScore;
    }

    public void setChoiceMultipleEachScore(Double choiceMultipleEachScore) {
        this.choiceMultipleEachScore = choiceMultipleEachScore;
    }

    public Integer getTureOrFalseCount() {
        return tureOrFalseCount == null ? 0 : tureOrFalseCount;
    }

    public void setTureOrFalseCount(Integer tureOrFalseCount) {
        this.tureOrFalseCount = tureOrFalseCount;
    }

    public Double getTureOrFalseEachScore() {
        return tureOrFalseEachScore == null ? 0D : tureOrFalseEachScore;
    }

    public void setTureOrFalseEachScore(Double tureOrFalseEachScore) {
        this.tureOrFalseEachScore = tureOrFalseEachScore;
    }

    public Integer getFillInTheBlanksCount() {
        return fillInTheBlanksCount == null ? 0 : fillInTheBlanksCount;
    }

    public void setFillInTheBlanksCount(Integer fillInTheBlanksCount) {
        this.fillInTheBlanksCount = fillInTheBlanksCount;
    }

    public Double getFillInTheBlanksEachScore() {
        return fillInTheBlanksEachScore == null ? 0D : fillInTheBlanksEachScore;
    }

    public void setFillInTheBlanksEachScore(Double fillInTheBlanksEachScore) {
        this.fillInTheBlanksEachScore = fillInTheBlanksEachScore;
    }

    public Integer getAnswerCount() {
        return answerCount == null ? 0 : answerCount;
    }

    public void setAnswerCount(Integer answerCount) {
        this.answerCount = answerCount;
    }

    public Double getAnswerEachScore() {
        return answerEachScore == null ? 0D : answerEachScore;
    }

    public void setAnswerEachScore(Double answerEachScore) {
        this.answerEachScore = answerEachScore;
    }


}
